from rq_controller.common import PyVolume
from rq_controller.common.io.rq_json import RqJsonWriter, RqJsonLoader
from pathlib import Path


FOLDER = Path('./example/data')


def main():
    volume = PyVolume.dummy()
    print(f'Shape (x / y / z): {volume.shape}')
    msg = volume.as_message()
    print(f'Number of slices: {len(msg.slices)}')

    volume_2 = PyVolume.from_message(msg)
    print(f'Shape (x / y / z): {volume_2.shape}')

    writer = RqJsonWriter()
    writer.write_volume(writer.get_volume_save_path_i(FOLDER, 1), volume_2)

    loader = RqJsonLoader()
    volume_3 = loader.load_volume(writer.get_volume_save_path_i(FOLDER, 1))
    print(f'Shape (x / y / z): {volume_3.shape}')


if __name__ == '__main__':
    main()

